<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddReferencesClipboard Method (IEdmAddCustomRefs)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddCustomRefs Interface : AddReferencesClipboard Method (IEdmAddCustomRefs)

Visual Basic
C#
C++/CLI

lRootFile
  ID of file to which to add the file reference that is on the Windows clipboard

Adds a file reference that has been copied to the Windows clipboard to another checked-out file.

# Syntax

Visual Basic |
--- | ---

    Sub AddReferencesClipboard( _
       ByVal lRootFile As System.Integer _
    )

C# |
--- | ---

    void AddReferencesClipboard(
       System.int lRootFile
    )

C++/CLI |
--- | ---

    void AddReferencesClipboard(
    &   System.int lRootFile
    )

#### Parameters

lRootFile
  ID of file to which to add the file reference that is on the Windows clipboard

# Example

Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

This method is valid only after the user has copied a file to the Windows clipboard. A file reference on the clipboard is in CF_HDROP format.

After calling this method, you must call IEdmAddCustomRefs::CreateReferences to create the custom file reference in the vault.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddCustomRefs Interface
IEdmAddCustomRefs Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional